import request from '../request'

const buy={
	/**
	 * 逆地理编码
	 * @param {
		 location: string '经纬度坐标:经度在前，纬度在后，经纬度间以“,”分割'
		 ...其他参数去高德官网看
	 } params
	 */
    //微信支付的接口
     studentXcxWxPrepareOrder(data) {
		return request({
			url: '/student/xcx/wx/prepareOrder',
			method: 'POST',
			data
		})
	},
    //查询商品字典的接口
    systemDictDataType(dictType){
        return request({
            url:'/system/dict/data/type/'+dictType,
            method:'GET'
        })
    },
	//查询是否开启ios支付的接口
	systemConfigConfigKeyIos_vip_open(){
		return request({
			url:"system/config/configKey/ios_vip_open",
			method:"GET"
		})
	}
}

export default buy